## ros-eloquent-camera-calibration-parsers 2.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(camera_calibration_parsers)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake_ros REQUIRED)

find_package(rclcpp REQUIRED)
find_package(rcpputils REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(yaml_cpp_vendor REQUIRED)

include_directories(include)

# define the library
add_library(${PROJECT_NAME}
  src/parse.cpp
  src/parse_ini.cpp
  src/parse_yml.cpp
)

target_compile_definitions(${PROJECT_NAME} PRIVATE "CAMERA_CALIBRATION_PARSERS_BUILDING_DLL")

if(CMAKE_COMPILER_IS_GNUCXX)
  target_link_libraries(${PROJECT_NAME} stdc++fs)
endif()

ament_target_dependencies(
  ${PROJECT_NAME}
  rclcpp
  sensor_msgs
  yaml_cpp_vendor
)

# TODO: Reenable Python Wrapper with new serialization technique.
#find_package(PythonLibs REQUIRED)
#if(PYTHONLIBS_VERSION_STRING VERSION_LESS 3)
#  find_package(Boost REQUIRED COMPONENTS python)
#else()
#  find_package(Boost REQUIRED COMPONENTS python3)
#endif()
#add_library(${PROJECT_NAME}_wrapper
#  src/parse_wrapper.cpp)
#ament_target_dependencies(${PROJECT_NAME}_wrapper
#  "rclcpp"
#  "sensor_msgs"
#)
#target_include_directories(${PROJECT_NAME}_wrapper PUBLIC ${Boost_INCLUDE_DIRS} ${PYTHON_INCLUDE_DIRS})
#target_link_libraries(${PROJECT_NAME}_wrapper ${PROJECT_NAME} ${Boost_LIBRARIES} ${PYTHON_LIBRARIES} ${YAML_CPP_LIBRARIES})

# define the exe to convert
add_executable(convert src/convert.cpp)
target_link_libraries(convert ${PROJECT_NAME})

install(
  TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

install(
  TARGETS convert
  RUNTIME DESTINATION lib/${PROJECT_NAME}
)

install(
  DIRECTORY include/
  DESTINATION include
)

ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})
ament_export_dependencies(rclcpp)
ament_export_dependencies(sensor_msgs)
ament_export_dependencies(yaml_cpp_vendor)

if(BUILD_TESTING)
  #TODO(mjcarroll) switch back to this once I can fix copyright check
  #find_package(ament_lint_auto REQUIRED)
  #ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_cppcheck REQUIRED)
  find_package(ament_cmake_cpplint REQUIRED)
  find_package(ament_cmake_lint_cmake REQUIRED)
  find_package(ament_cmake_uncrustify REQUIRED)
  #TODO(mjcarroll) Headers need to be .hpp for this to work properly.
  #ament_cppcheck()
  ament_cpplint()
  ament_lint_cmake()
  ament_uncrustify()
  find_package(ament_cmake_gtest)

  ament_add_gtest(${PROJECT_NAME}-parse_ini test/test_parse_ini.cpp)
  if(TARGET ${PROJECT_NAME}-parse_ini)
    target_link_libraries(${PROJECT_NAME}-parse_ini ${PROJECT_NAME})
  endif()

  ament_add_gtest(${PROJECT_NAME}-parse_yml test/test_parse_yml.cpp)
  if(TARGET ${PROJECT_NAME}-parse_yml)
    target_link_libraries(${PROJECT_NAME}-parse_yml ${PROJECT_NAME})
  endif()
endif()

ament_package()

=== debian/changelog ===
ros-eloquent-camera-calibration-parsers (2.2.1-1bionic) bionic; urgency=high

  * ROS2 Using the filesystem helper in rcpputils (#133 <https://github.com/ros-perception/image_common/issues/133>)
  * [Windows][ros2] Avoid build break for Visual Studio 2019 v16.3 (#135 <https://github.com/ros-perception/image_common/issues/135>)
  * Contributors: Andreas Klintberg, Sean Yen

 -- Michael Carroll <michael@openrobotics.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-eloquent-camera-calibration-parsers (2.2.0-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 27 Sep 2019 05:00:00 -0000

ros-eloquent-camera-calibration-parsers (2.1.1-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 30 May 2019 05:00:00 -0000

ros-eloquent-camera-calibration-parsers (2.1.0-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 09 May 2019 05:00:00 -0000

ros-eloquent-camera-calibration-parsers (2.0.0-1bionic) bionic; urgency=high

  * Camera Calibration Parsers ROS2 Port (#105 <https://github.com/ros-perception/image_common/issues/105>)
  * Image Transport ROS2 port (#84 <https://github.com/ros-perception/image_common/issues/84>)
  * Contributors: Michael Carroll

 -- Michael Carroll <michael@openrobotics.org>  Wed, 05 Dec 2018 06:00:00 -0000

ros-eloquent-camera-calibration-parsers (1.11.13-1bionic) bionic; urgency=high

  * Use Boost_LIBRARIES instead of Boost_PYTHON_LIBRARY
    This was causing issues when building with python3 since then
    Boost_PYTHON_LIBRARY is not set, instead cmake sets
    Boost_PYTHON3_LIBRARY. So instead of adding each library separately,
    using Boost_LIBRARIES seems to be better. For reference, from the
    cmake docs:
    ```
    Boost_LIBRARIES        - Boost component libraries to be linked
    Boost\_<C>_LIBRARY      - Libraries to link for component <C>
    ```
  * Contributors: Kartik Mohta, Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Sun, 05 Nov 2017 05:00:00 -0000

ros-eloquent-camera-calibration-parsers (1.11.12-1bionic) bionic; urgency=high

  * Properly detect Boost Python 2 or 3
    This fixes #59 <https://github.com/ros-perception/image_common/issues/59>
  * 1.11.11
  * update changelogs
  * Contributors: Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Sun, 29 Jan 2017 06:00:00 -0000

ros-eloquent-camera-calibration-parsers (1.11.11-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Sat, 24 Sep 2016 05:00:00 -0000

ros-eloquent-camera-calibration-parsers (1.11.10-1bionic) bionic; urgency=high

  * Add install target for python wrapper library
  * Only link against needed Boost libraries
    9829b02 introduced a python dependency into find_package(Boost..) which
    results in ${Boost_LIBRARIES} containing boost_python and such a
    dependency to libpython at link time. With this patch we only link
    against the needed libraries.
  * Contributors: Jochen Sprickerhof, Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Tue, 19 Jan 2016 06:00:00 -0000

ros-eloquent-camera-calibration-parsers (1.11.9-1bionic) bionic; urgency=high

  * Add python wrapper for readCalibration.
    Reads .ini or .yaml calibration file and returns camera name and sensor_msgs/cameraInfo.
  * Use $catkin_EXPORTED_TARGETS
  * Contributors: Jochen Sprickerhof, Markus Roth

 -- Michael Carroll <michael@openrobotics.org>  Sun, 17 Jan 2016 06:00:00 -0000

ros-eloquent-camera-calibration-parsers (1.11.8-1bionic) bionic; urgency=high

  * Remove no-longer-neccessary flags to allow OS X to use 0.3 and 0.5 of yaml-cpp.
  * remove buggy CMake message
  * Contributors: Helen Oleynikova, Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Sun, 29 Nov 2015 06:00:00 -0000

ros-eloquent-camera-calibration-parsers (1.11.7-1bionic) bionic; urgency=high

  * fix #39 <https://github.com/ros-perception/image_common/issues/39>
  * make sure test does not fail
  * Contributors: Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Tue, 28 Jul 2015 05:00:00 -0000

ros-eloquent-camera-calibration-parsers (1.11.6-1bionic) bionic; urgency=high

  * [camera_calibration_parsers] Better error message when calib file can't be written
  * add rosbash as a test dependency
  * add a test dependency now that we have tests
  * parse distortion of arbitraty length in INI
    This fixes #33 <https://github.com/ros-perception/image_common/issues/33>
  * add a test to parse INI calibration files with 5 or 8 D param
  * Add yaml-cpp case for building on Android
  * Contributors: Gary Servin, Isaac IY Saito, Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Thu, 16 Jul 2015 05:00:00 -0000

ros-eloquent-camera-calibration-parsers (1.11.5-1bionic) bionic; urgency=high

  * Fix catkin_make failure (due to yaml-cpp deps) for mac os
  * Contributors: Yifei Zhang

 -- Michael Carroll <michael@openrobotics.org>  Thu, 14 May 2015 05:00:00 -0000

ros-eloquent-camera-calibration-parsers (1.11.4-1bionic) bionic; urgency=high

  * fix bad yaml-cpp usage in certain conditions
    fixes #24 <https://github.com/ros-perception/image_common/issues/24>
  * Contributors: Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Sun, 21 Sep 2014 05:00:00 -0000

ros-eloquent-camera-calibration-parsers (1.11.3-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Mon, 19 May 2014 05:00:00 -0000

ros-eloquent-camera-calibration-parsers (1.11.2-1bionic) bionic; urgency=high

  * add a dependency on pkg-config to have it work on Indigo

 -- Michael Carroll <michael@openrobotics.org>  Thu, 13 Feb 2014 08:32:06 -0600

ros-eloquent-camera-calibration-parsers (1.11.1-1bionic) bionic; urgency=high

  * fix YAML CPP 0.5.x compatibility

 -- Michael Carroll <michael@openrobotics.org>  Sun, 26 Jan 2014 02:32:06 -0600

=== debian/control ===
Source: ros-eloquent-camera-calibration-parsers
Section: misc
Priority: optional
Maintainer: Michael Carroll <michael@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake-gtest, ros-eloquent-ament-cmake-ros, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-rclcpp, ros-eloquent-sensor-msgs, ros-eloquent-yaml-cpp-vendor, ros-eloquent-ros-workspace
Homepage: http://ros.org/wiki/camera_calibration_parsers
Standards-Version: 3.9.2

Package: ros-eloquent-camera-calibration-parsers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-rclcpp, ros-eloquent-sensor-msgs, ros-eloquent-yaml-cpp-vendor, ros-eloquent-ros-workspace
Description: camera_calibration_parsers contains routines for reading and writing camera calibration parameters.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-camera-calibration-parsers//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
